Constants {base} | R Documentation

## Built-in Constants

### Description

Constants built into R.

### Usage

    LETTERS
    letters
    month.abb
    month.name
    pi

### Details

R has a limited number of built-in constants (there is also a rather larger library of data sets which can be loaded with the function `data`).

The following constants are available:

- `LETTERS`: the 26 upper-case letters of the Roman alphabet;
- `letters`: the 26 lower-case letters of the Roman alphabet;
- `month.abb`: the three-letter abbreviations for the English month names;
- `month.name`: the English names for the months of the year;
- `pi`: the ratio of the circumference of a circle to its diameter.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`data`.

### Examples

    # John Machin (1705) computed 100 decimals of pi :
    pi - 4*(4*atan(1/5) - atan(1/239))

[Package base version 2.0.1 Index]